掷鸡蛋者
发表于: 2012/7/3 7:12 引用 回复 只看该作者 1# TOP
管理员
性别: 男
积分:52191
阅读权限:43393
帖子: 8322
加入时间: 2010/4/29
最后登录: 2020/12/4
jQuery开发团队称在2.0版本中将不再支持IE 6/7/8,引起了轩然大波。该团队今天在博客中发表了一篇文章,重点回答了用户最关注的一些问题。 

问:jQuery为何要放弃对IE 6/7/8的支持?(实际上是jQuery 2.0不支持IE 6/7/8) 

并不是这样,明年初发布的jQuery 1.9仍将支持老款的IE版本。在jQuery 2.0发布后,我们仍会继续维护jQuery 1.9版本。 

问:为什么要让我使用条件注释语句来选择jQuery版本? 

并不是这样,条件注释语句(见这篇文章最后)是用于在jQuery 1.9和2.0共同使用时,针对IE的版本进行自动选择的。如果只使用jQuery 1.9,就不需要条件注释语句了。 

jQuery 1.9支持所有的浏览器,从IE 6到IE 10、Chrome、Safari、Opera等。 

问:当jQuery 2.1发布时,会发生什么情况?jQuery 1.9是否支持2.1中新增的API? 

这位同学,你想得太远了。jQuery 2.1可能到2014年才会发布,因此在2012年中期很难预料到jQuery 2.1是什么样。我们的目标是保持1.x和2.x版本线同步,并通过插件来增加功能。你可以看看 jQuery 2012大会上的关键信息。 

问:jQuery 1.9的支持周期有多久? 

老款IE存在多久,我们就支持jQuery 1.9多久。或许等到微软2014年4月终止对Windows XP的支持时,老款IE的份额将大大下降。 

问:我有大量的IE 8用户,你们就不能只放弃IE 6或IE 7吗? 

老款IE都存在很多相同的缺陷,只放弃其中一个或两个意义不大。如果你需要支持老款IE,jQuery 1.9将是很不错的选择。 

问:我的网站在中国,有22%的用户使用IE6! 

Seems like some sort of human rights violation(不解释)。哦,这不是一个问题。 

Via jQuery官方博客 
关键词 jquery 修改tag
相关文章
而死,不默而生
huangpin
发表于: 2012/7/3 15:14 引用 回复 只看该作者 2# TOP
江湖新秀
性别: 男
积分:256
阅读权限:245
帖子: 72
加入时间: 2010/8/11
最后登录: 2013/6/18
关于最后一个问题的回答是亮点
天朝禽爆菊
发表于: 2012/7/3 21:48 引用 回复 只看该作者 3# TOP
江湖少侠
性别: 男
积分:414
阅读权限:480
帖子: 118
加入时间: 2012/3/19
最后登录: 2018/11/15
应该让W3C自己出一款浏览器,其他全部干掉,整个世界就清静了
有钱男子汉、没钱汉子难
huangpin
发表于: 2012/7/3 23:52 引用 回复 只看该作者 4# TOP
江湖新秀
性别: 男
积分:256
阅读权限:245
帖子: 72
加入时间: 2010/8/11
最后登录: 2013/6/18
w3c就好像中央银行一样,不以盈利为目的,它的职责只是制定标准和规范;反过来想一下,如果它不这样而推出自己的浏览器(或者任何一款别的什么产品),那它与商业公司何异,w3c就名不符实,没有存在的价值了.

快速回复主题